%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %%{_sysconfdir}/httpd/conf.d}}
Summary: A CERN setup module for the mod_auth_mellon SAML 2.0 authentication_module
Name: mod_auth_mellon_cern
Version: 0.3
Release: 1%{?dist}
Group: System Environment/Daemons
Source0: mod_auth_mellon_cern.conf
Source1: https://login.cern.ch/FederationMetadata/2007-06/FederationMetadata.xml
License: GPLv2+
Requires: mod_auth_mellon >= 0.8.0
BuildArch: noarch

%description
mod_auth_mellon_cern provides default configuration example
for CERN MS ADFS SAML 2.0 authentication.
%prep

%build

%install

mkdir -p %{buildroot}%{_httpd_modconfdir}/mellon
install -m 644 %{SOURCE0} %{buildroot}%{_httpd_modconfdir}/
install -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/mellon/

%files
%defattr(-,root,root)
%config(noreplace) %{_httpd_modconfdir}/mod_auth_mellon_cern.conf
%config(noreplace) %{_httpd_modconfdir}/mellon/FederationMetadata.xml


%changelog
* Wed Sep 26 2018 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fix error in example mod_auth_mellon_cern.conf
* Tue Dec 02 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial release.
